﻿@model List<WebApp.ViewModels.Admin.SeatAdminViewModel>
@{
    ViewBag.Title = "Seats";
}

<div class="panel panel-default">
    <div class="panel-heading"><h2>Seats for a carriage #@Context.Request.Params["carriageId"]</h2></div>
    <div class="panel-body">
        @Html.ActionLink("Create", "CreateSeat", "Admin", new { carriageId = Context.Request.Params["carriageId"] }, null)
    </div>
    @if (Model.Count == 0)
    {
        @:<div class="alert alert-danger" role="alert">No seats found.</div>
    }
    else
    {
        <table class="table">
            <thead>
            <th>ID</th>
            <th>Number</th>
            <th>Actions</th>
            </thead>
            <tbody>
            @foreach (var model in Model)
            {
                <tr>
                    <td>@Html.DisplayFor(t => model.Id)</td>
                    <td>@Html.DisplayFor(t => model.Number)</td>
                    <td>
                        @Html.ActionLink("Edit", "EditSeat", "Admin", new {id = model.Id}, null) |
                        @Html.ActionLink("Delete", "DeleteSeat", "Admin", new {id = model.Id}, null)
                    </td>
                </tr>
            }
            </tbody>
        </table>
    }
</div>



